repetitionCounter.cc File Reference
`#include "osl/repetitionCounter.h"`
`#include "osl/hashKey.h"`
`#include "osl/numEffectState.h"`
`#include <unordered_map>`
`#include <iostream>`

Go to the source code of this file.

## Classes

struct | osl::RepetitionCounter::Table

## Typedefs

typedef osl::RepetitionCounter::list_t | list_t
typedef std::unordered_map< osl::HashKey, list_t, std::hash< osl::HashKey > > | map_t

## Variables

static const int | initial_capacity = 256

## Typedef Documentation

## list_t

typedef osl::RepetitionCounter::list_t list_t

Definition at line 10 of file repetitionCounter.cc.

## map_t

typedef std::unordered_map<osl::HashKey,list_t,std::hash<osl::HashKey> > map_t

Definition at line 11 of file repetitionCounter.cc.

## Variable Documentation

## initial_capacity

const int initial_capacity = 256

static

Definition at line 17 of file repetitionCounter.cc.

Referenced by osl::RepetitionCounter::clear(), osl::RepetitionCounter::RepetitionCounter(), and osl::RepetitionCounter::RepetitionCounter().